typst-query(1)

NAME
typst-query - Processes an input file to extract provided metadata

SYNOPSIS
typst-query [--field] [--one] [--format] [--pretty] [--target] [--root] [--input] [--font-path] [--ignore-system-fonts] [--ignore-embedded-fonts] [--package-path] [--package-cache-path] [--creation-timestamp] [-j|--jobs] [--features] [--diagnostic-format] [-h|--help] <INPUT> <SELECTOR>

DESCRIPTION
Processes an input file to extract provided metadata

OPTIONS

--field=FIELD
    Extracts just one field from all retrieved elements

--one
    Expects and retrieves exactly one element

--format=FORMAT [default: json]
    The format to serialize in
    [possible values: json, yaml]

--pretty
    Whether to pretty-print the serialized output. Only applies to JSON format.

--target=TARGET [default: paged]
    The target to compile for
    Possible values:

    •   paged: PDF and image formats

    •   html: HTML

--root=DIR
    Configures the project root (for absolute paths)
    May also be specified with the TYPST_ROOT environment variable.

--input=key=value
    Add a string key-value pair visible through `sys.inputs`

--font-path=DIR
    Adds additional directories that are recursively searched for fonts. If multiple paths are specified, they are separated by the system's path separator (`:` on Unix-like systems and `;` on Windows).
    May also be specified with the TYPST_FONT_PATHS environment variable.

--ignore-system-fonts
    Ensures system fonts won't be searched, unless explicitly included via `--font-path`
    May also be specified with the TYPST_IGNORE_SYSTEM_FONTS environment variable.

--ignore-embedded-fonts
    Ensures fonts embedded into Typst won't be considered
    May also be specified with the TYPST_IGNORE_EMBEDDED_FONTS environment variable.

--package-path=DIR
    Custom path to local packages, defaults to system-dependent location
    May also be specified with the TYPST_PACKAGE_PATH environment variable.

--package-cache-path=DIR
    Custom path to package cache, defaults to system-dependent location
    May also be specified with the TYPST_PACKAGE_CACHE_PATH environment variable.

--creation-timestamp=UNIX_TIMESTAMP
    The document's creation date formatted as a UNIX timestamp. For more information, see <https://reproducible-builds.org/specs/source-date-epoch/>.
    May also be specified with the SOURCE_DATE_EPOCH environment variable.

-j, --jobs=JOBS
    Number of parallel jobs spawned during compilation. Defaults to number of CPUs. Setting it to 1 disables parallelism

--features=FEATURES
    Enables in-development features that may be changed or removed at any time
    [possible values: html, a11y-extras]
    May also be specified with the TYPST_FEATURES environment variable.

--diagnostic-format=DIAGNOSTIC_FORMAT [default: human]
    The format to emit diagnostics in
    [possible values: human, short]

-h, --help
    Print help (see a summary with '-h')

<INPUT>
    Path to input Typst file. Use `-` to read input from stdin

<SELECTOR>
    Defines which elements to retrieve